Package org.drinkless.tdlib

# Class TdApi.ChatEventLogFilters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventLogFilters

Enclosing class:
  `TdApi`

public static class TdApi.ChatEventLogFilters extends TdApi.Object
Represents a set of filters used to obtain a chat event log.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forumChanges`
  True, if forum-related actions need to be returned.
  `boolean`
  `infoChanges`
  True, if changes in chat information need to be returned.
  `boolean`
  `inviteLinkChanges`
  True, if changes to invite links need to be returned.
  `boolean`
  `memberInvites`
  True, if invited member events need to be returned.
  `boolean`
  `memberJoins`
  True, if members joining events need to be returned.
  `boolean`
  `memberLeaves`
  True, if members leaving events need to be returned.
  `boolean`
  `memberPromotions`
  True, if member promotion/demotion events need to be returned.
  `boolean`
  `memberRestrictions`
  True, if member restricted/unrestricted/banned/unbanned events need to be returned.
  `boolean`
  `memberTagChanges`
  True, if member tag and custom title change events need to be returned.
  `boolean`
  `messageDeletions`
  True, if message deletions need to be returned.
  `boolean`
  `messageEdits`
  True, if message edits need to be returned.
  `boolean`
  `messagePins`
  True, if pin/unpin events need to be returned.
  `boolean`
  `settingChanges`
  True, if changes in chat settings need to be returned.
  `boolean`
  `subscriptionExtensions`
  True, if subscription extensions need to be returned.
  `boolean`
  `videoChatChanges`
  True, if video chat actions need to be returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventLogFilters()`
  Represents a set of filters used to obtain a chat event log.
  `ChatEventLogFilters(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean memberTagChanges, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean videoChatChanges, boolean forumChanges, boolean subscriptionExtensions)`
  Represents a set of filters used to obtain a chat event log.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageEdits

    public boolean messageEdits
    True, if message edits need to be returned.

  - ### messageDeletions

    public boolean messageDeletions
    True, if message deletions need to be returned.

  - ### messagePins

    public boolean messagePins
    True, if pin/unpin events need to be returned.

  - ### memberJoins

    public boolean memberJoins
    True, if members joining events need to be returned.

  - ### memberLeaves

    public boolean memberLeaves
    True, if members leaving events need to be returned.

  - ### memberInvites

    public boolean memberInvites
    True, if invited member events need to be returned.

  - ### memberPromotions

    public boolean memberPromotions
    True, if member promotion/demotion events need to be returned.

  - ### memberRestrictions

    public boolean memberRestrictions
    True, if member restricted/unrestricted/banned/unbanned events need to be returned.

  - ### memberTagChanges

    public boolean memberTagChanges
    True, if member tag and custom title change events need to be returned.

  - ### infoChanges

    public boolean infoChanges
    True, if changes in chat information need to be returned.

  - ### settingChanges

    public boolean settingChanges
    True, if changes in chat settings need to be returned.

  - ### inviteLinkChanges

    public boolean inviteLinkChanges
    True, if changes to invite links need to be returned.

  - ### videoChatChanges

    public boolean videoChatChanges
    True, if video chat actions need to be returned.

  - ### forumChanges

    public boolean forumChanges
    True, if forum-related actions need to be returned.

  - ### subscriptionExtensions

    public boolean subscriptionExtensions
    True, if subscription extensions need to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEventLogFilters

    public ChatEventLogFilters()
    Represents a set of filters used to obtain a chat event log.

  - ### ChatEventLogFilters

    public ChatEventLogFilters(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean memberTagChanges, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean videoChatChanges, boolean forumChanges, boolean subscriptionExtensions)
    Represents a set of filters used to obtain a chat event log.
    Parameters:
      `messageEdits` - True, if message edits need to be returned.
      `messageDeletions` - True, if message deletions need to be returned.
      `messagePins` - True, if pin/unpin events need to be returned.
      `memberJoins` - True, if members joining events need to be returned.
      `memberLeaves` - True, if members leaving events need to be returned.
      `memberInvites` - True, if invited member events need to be returned.
      `memberPromotions` - True, if member promotion/demotion events need to be returned.
      `memberRestrictions` - True, if member restricted/unrestricted/banned/unbanned events need to be returned.
      `memberTagChanges` - True, if member tag and custom title change events need to be returned.
      `infoChanges` - True, if changes in chat information need to be returned.
      `settingChanges` - True, if changes in chat settings need to be returned.
      `inviteLinkChanges` - True, if changes to invite links need to be returned.
      `videoChatChanges` - True, if video chat actions need to be returned.
      `forumChanges` - True, if forum-related actions need to be returned.
      `subscriptionExtensions` - True, if subscription extensions need to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR